{% extends "base.html" %}
{% load rules %}
{% load crispy_forms_tags %}
{% block content %}
    {% has_perm 'usuaria.administrar' user as pode_administrar_usuarias %}
    <h3>Revisoras/es</h3>
    <div class="row mt-5">
        <div class="col-md-12">{% crispy form %}</div>
        {% if object_list|length > 0 %}
            <div class="col-md-12">
                <!-- table class="table table-striped datatable add-export-buttons fit-to-page" -->
                <table class="table table-striped add-export-buttons fit-to-page">
                    <thead>
                        <tr>
                            <th>Nome</th>
                            <th>Comunidades associadas</th>
                            <th>Municípios associados</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for object in object_list %}
                            <tr>
                                <td>
                                    <a href="{{ object.get_absolute_url }}">{{ object }}</a>
                                </td>
                                <td>
                                    <a href="{% url 'usuaria_territorios' object.id %}">{{ object.territorios.count }} associado(s)</a>
                                </td>
                                <td>
                                    <a href="{% url 'usuaria_municipios' object.id %}">{{ object.municipios.count }} associado(s)</a>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                    <tfoot>
                        <tr>
                            <th>Nome</th>
                            <th>Comunidades associadas</th>
                            <th>Municípios associados</th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        {% else %}
            <div class="col-md-12">
                <div class="alert alert-dark">
                    <h5>
                        Nenhuma revisora(or) encontrada(o). {# <a href="{% url 'usuaria_revisora_nova' %}">Atribua a uma usuária a tarefa de revisora</a> #}
                    </h5>
                </div>
            </div>
        {% endif %}
    </div>
{% endblock content %}
